<?php

class SrepController extends Controller {

    /**
     * Lists all models.
     */
    public function actionList() {
        $criteria = new CDbCriteria();
        $criteria->with = 'usr';
        $criteria->compare('usr.ispos', true);

        $models = Srep::model()->findAll($criteria);
        $data = array();
        foreach ($models as $row) {
            $srep['srepid'] = $row->srepid;
            $srep['srepname'] = $row->srepname;
            $srep['passwd'] = $row->usr->passwd;
            $srep['usrid'] = $row->usrid;
            $srep['iscxl'] = $this->isCancelAccess($row->usrid);
            $data[] = $srep;
        }

        $this->success($data);
    }

    function isCancelAccess($usrid) {
        $command = Yii::app()->db->createCommand("SELECT COUNT(*) FROM grpprv g, usrgrp ug WHERE g.grpid=ug.grpid AND g.objid='815002' AND g.acstype='CANCEL' AND ug.usrid=:usrid AND acsenable=true");
        /* set parameter value */
        $command->bindValue(':usrid', $usrid);

        $count = $command->queryScalar();

        return $count;
    }

}
